CAPNG_SET_ROOTID(3)

NAME
capng_set_rootid - set namespace root id

SYNOPSIS
#include <cap-ng.h>

int capng_set_rootid(int rootid);

DESCRIPTION

capng_set_rootid sets the rootid for file capabilities operations. Pass CAPNG_UNSET_ROOTID to clear a previously selected namespace root id and go back to writing regular V2 file capabilities.

RETURN VALUE

On success, it returns 0. It returns -1 if there is an internal error, the kernel does not support V3 filesystem capabilities, or an invalid rootid is supplied.

SEE ALSO

capng_apply_caps_fd(3), capabilities(7)

AUTHOR
Steve Grubb